package java.net;

import java.util.List;

public interface CookieStore
{
    public abstract void add(URI p0, HttpCookie p1);
    
    public abstract List<HttpCookie> get(URI p0);
    
    public abstract List<HttpCookie> getCookies();
    
    public abstract List<URI> getURIs();
    
    public abstract boolean remove(URI p0, HttpCookie p1);
    
    public abstract boolean removeAll();
}
